package com.qmth.cqb.paper.model.computerTestModel;

import java.util.List;
import java.util.Map;

/**
 * @author  	chenken
 * @date    	2017年7月25日 上午9:51:37
 * @company 	QMTH
 * @description ComputerTestQuestion.java
 */
public class ComputerTestQuestion {
	
	private String id;
	/**
	 * 小题号或套题内子题序号
	 */
	private Integer number;
	
	private Double score;// 小题分数
	/**
	 * 1-单选，2-多选，3-判断，4-填空，5-问答，6-套题
	 */
	private Integer structType;
	/**
	 * 是否客观题
	 */
	private Boolean objective;
	/**
	 * 子题
	 */
	private List<ComputerTestQuestion> subQuestions;
	
	/**
	 * 题干
	 */
	private Sections body;
	
	/**
	 * 选项
	 */
	private List<ComputerTestOption> options;
	
	private Map<String,Object> param;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Integer getStructType() {
		return structType;
	}

	public void setStructType(Integer structType) {
		this.structType = structType;
	}

	public Boolean getObjective() {
		return objective;
	}

	public void setObjective(Boolean objective) {
		this.objective = objective;
	}

	public List<ComputerTestQuestion> getSubQuestions() {
		return subQuestions;
	}

	public void setSubQuestions(List<ComputerTestQuestion> subQuestions) {
		this.subQuestions = subQuestions;
	}

	public Sections getBody() {
		return body;
	}

	public void setBody(Sections body) {
		this.body = body;
	}

	public List<ComputerTestOption> getOptions() {
		return options;
	}

	public void setOptions(List<ComputerTestOption> options) {
		this.options = options;
	}

	public Map<String, Object> getParam() {
		return param;
	}

	public void setParam(Map<String, Object> param) {
		this.param = param;
	}
	
	
}

